/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_MetaBrush_h__
#define __operator_MetaBrush_h__

namespace fe
{

/**************************************************************************//**
	@brief Common functionality of meta brushes for Houdini, Maya, etc

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT MetaBrush
{
	public:
								MetaBrush(void);
virtual							~MetaBrush(void);


	protected:
		void					initEvent(sp<Scope>& a_rspScope);
		void					initDrawInterfaces(MetaPlugin* a_pMetaPlugin);
		U32						initFont(void);
		void					setupDrawOpenGL(void);
		void					draw(void);

		WindowEvent				m_event;
		Box2i					m_viewport;

		OperatorContext*		m_pOperatorContext;
		sp<Master>				m_spMaster;
		sp<DrawI>				m_spDrawOpenGL;
		sp<DrawI>				m_spDrawPerspective;
		sp<DrawI>				m_spDrawOrtho;
};

} // namespace

#endif /* __operator_MetaBrush_h__ */
